diff -c /sdcard-ext/org-mode/lisp/ob-ditaa.el /sdcard-ext/ob-ditaa.el.orig
*** /sdcard-ext/org-mode/lisp/ob-ditaa.el	2012-09-15 21:59:22.000000000 -0400
--- /sdcard-ext/ob-ditaa.el.orig	2012-09-15 21:36:55.000000000 -0400
***************
*** 49,65 ****
      (:java . "-Dfile.encoding=UTF-8"))
    "Default arguments for evaluating a ditaa source block.")
  
- (defcustom org-ditaa-eps-jar-path 
- (expand-file-name
-    (concat 
-     (file-name-directory
-      org-ditaa-jar-path) "/"
-    "DitaaEps.jar" ))
-   "Default Ditaa Eps"
-   :group 'org-babel
-   :type 'string
- )
- 
  (defcustom org-ditaa-jar-option "-jar"
    "Option for the ditaa jar file.
  Do not leave leading or trailing spaces in this string."
--- 49,54 ----
***************
*** 79,103 ****
  	 (cmdline (cdr (assoc :cmdline params)))
  	 (java (cdr (assoc :java params)))
  	 (in-file (org-babel-temp-file "ditaa-"))
- 	 (eps (cdr (assoc :eps params)))
  	 (cmd (concat "java " java " " org-ditaa-jar-option " "
  		      (shell-quote-argument
! 		       (expand-file-name
! 			(if eps org-ditaa-eps-jar-path org-ditaa-jar-path)))
  		      " " cmdline
  		      " " (org-babel-process-file-name in-file)
! 		      " " (org-babel-process-file-name out-file)))
! 	 (pdf-cmd (when (and (or (string= (file-name-extension out-file) "pdf")
! 				 (cdr (assoc :pdf params))))
! 		    (concat
! 		     "epstopdf"
! 		     " " (org-babel-process-file-name (concat in-file ".eps"))
! 		     " -o=" (org-babel-process-file-name out-file)))))
      (unless (file-exists-p org-ditaa-jar-path)
        (error "Could not find ditaa.jar at %s" org-ditaa-jar-path))
      (with-temp-file in-file (insert body))
      (message cmd) (shell-command cmd)
-     (when pdf-cmd (message pdf-cmd) (shell-command pdf-cmd))
      nil)) ;; signal that output has already been written to file
  
  (defun org-babel-prep-session:ditaa (session params)
--- 68,83 ----
  	 (cmdline (cdr (assoc :cmdline params)))
  	 (java (cdr (assoc :java params)))
  	 (in-file (org-babel-temp-file "ditaa-"))
  	 (cmd (concat "java " java " " org-ditaa-jar-option " "
  		      (shell-quote-argument
! 		       (expand-file-name org-ditaa-jar-path))
  		      " " cmdline
  		      " " (org-babel-process-file-name in-file)
! 		      " " (org-babel-process-file-name out-file))))
      (unless (file-exists-p org-ditaa-jar-path)
        (error "Could not find ditaa.jar at %s" org-ditaa-jar-path))
      (with-temp-file in-file (insert body))
      (message cmd) (shell-command cmd)
      nil)) ;; signal that output has already been written to file
  
  (defun org-babel-prep-session:ditaa (session params)

Diff finished.  Sat Sep 15 22:07:23 2012
